Application: gvSIG desktop - gvSIG bugs #2764
Cambio mensaje primer inicio de gvSIG
08/04/2014 05:34 AM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Application

Target version: 2.1.0-2248-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2247 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Cuando iniciamos por primera vez gvSIG, tras instalarlo, aparece el siguiente mensaje:
"¢ Desea ir al administrador de complementos para instalar complementos adicionales que no estaban disponibles durante el proceso
de instalacion?"

Abogando por utilizar mensajes cortos, se propone modificarlo por:
¢ Instalar complementos adicionales no disponibles durante el proceso de instalacién?

Associated revisions

Revision 41723 - 09/18/2014 09:23 AM - Joaquin del Cerro Murciano

Correciones de traducciones, refs #2764

Revision 41735 - 09/29/2014 01:51 PM - Joaquin del Cerro Murciano

Correccion sobre cuando preguntar si mostrar el addOnManager al arrancar gvSIG, refs #2764

Revision 41736 - 09/29/2014 04:11 PM - Joaquin del Cerro Murciano

Anadido el metodo getApplicationVersion en el PluginManager, refs #2764

History

#1 - 09/15/2014 08:41 AM - Joaquin del Cerro Murciano
- Target version set to 2.1.0-2259-rc3

#2 - 09/18/2014 09:23 AM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#3 - 09/18/2014 11:11 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2247-testing

#4 - 09/19/2014 07:41 AM - Alvaro Anguix
- gvSIG build set to 2247

- Target version deleted (2.1.0-2247-testing)

- Status changed from Fixed to New

- Tracker changed from gvSIG feature requests to gvSIG bugs

Ahora lo que ocurre es que no sale ninglin mensaje.

#5 - 09/19/2014 07:42 AM - Alvaro Anguix

- Target version set to 2.1.0-2259-rc3

#6 - 09/29/2014 01:55 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

Alvaro Anguix wrote:

Ahora lo que ocurre es que no sale ningin mensaje.

Realmente seria otro error, de hecho si va mas alla de los cambios que acabo

de introducir ta Ivez tendriamos que ver de moverlo a otro ticket, ya que el

problema no tiene nada que ver con cambiar los literales del mensaje.

La solucion que he aportado tampoco me convence.

Lo que estaba pasando es que cuando arranca gvSIG mira en el home del usuario

a ver si estaba puesto el flag de mostrar el addonmanager al arrancar.

Una vez se habia instalado gvSIG y se preguntaba al usuario se marcaba
como que no se tenia que mostrar, con lo que al instalar una nueva version, se

encontraba ese flag puesto a que no tenia que mostrarlo y pasaba de hacerlo.

Ahora, lo que he hecho es que solo lo muestre la primera vez que se instala
una version en concreto de gvSIG. Si se instala una version distinta vuelve

a pedirlo y marca que para esa nueva version no se debe mostrar.

El problema es que si reinstalas una version que ya habias instalado dira que
no hace falta mostrarlo por que para esa version ya lo mostro la vez anterior

que se instalo.
No me convence pero de momento lo dejo asi.

Cada vez que se instale una version nueva de gvSIG preguntara. Si se reinstala

una version no preguntara.

#7 - 10/02/2014 01:23 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2247-testing

#8 - 10/02/2014 01:25 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2247-testing to 2.1.0-2248-testing

05/13/2024

2/3



#9 - 10/14/2014 07:50 AM - Alvaro Anguix
- Status changed from Fixed to Closed

05/13/2024 3/3



